<template>
    <a @click.prevent.stop="toggleNotifications" href="#" class="message-bell">
        <span v-if="hasReminder">1</span>
        <!--<span v-if="hasNotifications()">{{$store.getters.getNotificationsCount}}</span>-->
        <!--@todo раскоментить потом и убрать сверху блок-->
        <svg viewBox="0 0 60 60">
            <use xlink:href="#notifications-icon"/>
        </svg>
    </a>
</template>

<script>
  import {TOGGLE_NOTIFICATIONS} from '@/store/mutation-types'

  export default {
    name: 'message-bell',
    methods: {
      toggleNotifications() {
        this.$store.commit(TOGGLE_NOTIFICATIONS)
        this.$interface.news = false;
      }
      // hasNotifications () {
      //   return this.$store.getters.getNotificationsCount > 0
      // }
    },
    computed: {
      hasReminder() {
        return this.$interface.news
      }
    }
  }
</script>

<style lang="scss" scoped>
    .message-bell {
        color: #323C47;
    }
</style>
